com.sun.jdi

## Interface PathSearchingVirtualMachine

- All Superinterfaces:
    Mirror, VirtualMachine

      @Exported
      public interface PathSearchingVirtualMachine
      extends VirtualMachine

  A virtual machine which searches for classes through paths
  Since:
    1.3

- - ### Field Summary

    - ### Fields inherited from interface com.sun.jdi.VirtualMachine

      `TRACE_ALL, TRACE_EVENTS, TRACE_NONE, TRACE_OBJREFS, TRACE_RECEIVES, TRACE_REFTYPES, TRACE_SENDS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `baseDirectory()` | Get the base directory used for path searching.
    `List<String>` | `bootClassPath()` | Get the boot class path for this virtual machine.
    `List<String>` | `classPath()` | Get the class path for this virtual machine.

    - ### Methods inherited from interface com.sun.jdi.VirtualMachine

      `allClasses, allThreads, canAddMethod, canBeModified, canForceEarlyReturn, canGetBytecodes, canGetClassFileVersion, canGetConstantPool, canGetCurrentContendedMonitor, canGetInstanceInfo, canGetMethodReturnValues, canGetMonitorFrameInfo, canGetMonitorInfo, canGetOwnedMonitorInfo, canGetSourceDebugExtension, canGetSyntheticAttribute, canPopFrames, canRedefineClasses, canRequestMonitorEvents, canRequestVMDeathEvent, canUnrestrictedlyRedefineClasses, canUseInstanceFilters, canUseSourceNameFilters, canWatchFieldAccess, canWatchFieldModification, classesByName, description, dispose, eventQueue, eventRequestManager, exit, getDefaultStratum, instanceCounts, mirrorOf, mirrorOf, mirrorOf, mirrorOf, mirrorOf, mirrorOf, mirrorOf, mirrorOf, mirrorOf, mirrorOfVoid, name, process, redefineClasses, resume, setDebugTraceMode, setDefaultStratum, suspend, topLevelThreadGroups, version`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

- - ### Method Detail

    - #### classPath

          List<String> classPath()

      Get the class path for this virtual machine.
      Returns:
        `List` of components of the classpath, each represented by a `String`.

    - #### bootClassPath

          List<String> bootClassPath()

      Get the boot class path for this virtual machine.
      Returns:
        `List` of components of the boot class path, each represented by a `String`.

    - #### baseDirectory

          String baseDirectory()

      Get the base directory used for path searching. Relative directories in the class path and boot class path can be resolved through this directory name.
      Returns:
        the base directory.

Copyright © 1999, 2026, Oracle and/or its affiliates. All rights reserved.